# $Revision: 1.16 $, $Date: 2006/12/08 01:22:10 $
Summary:	JSch - a pure Java implementation of SSH2
Summary(pl):	JSch - implementacja protokou SSH2 w jzyku Java
Name:		jsch
Version:	0.1.20
Release:	2
License:	BSD-like
Group:		Development/Languages/Java
Source0:	http://dl.sourceforge.net/jsch/%{name}-%{version}.zip
# Source0-md5:	b965afb2cea1bd6c541e833862022564
Patch0:		%{name}-date-stupidity.patch
URL:		http://www.jcraft.com/jsch/
BuildRequires:	ant >= 1.5.0
BuildRequires:	jdk >= 1.4
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
Requires:	jre >= 1.4
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSch allows you to connect to an sshd server and use port forwarding,
X11 forwarding, file transfer, etc., and you can integrate its
functionality into your own Java programs.

%description -l pl
JSch pozwala na przeniesienie funkcjonalnoci protokou SSH2 do
aplikacji pisanych w jzyku Java. Umoliwia m.in. czenie si z
serwerem sshd, wykorzystanie przekazywania portw oraz sesji X11,
transfer plikw.

%package javadoc
Summary:	JSch API documentation
Summary(pl):	Dokumentacja API JSch
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
JSch API documentation.

%description javadoc -l pl
Dokumentacja API JSch.

%prep
%setup -q
%patch0 -p1
sed -i -e 's/VERSION/%{version}/g' build.xml

%build
unset CLASSPATH || :
export JAVA_HOME="%{java_home}"
%ant dist javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},{%{_javadocdir},%{_examplesdir}}/%{name}-%{version}}

install dist/lib/jsch-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s jsch-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jsch.jar
cp -rf examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cp -R javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{_javadir}/*.jar
%{_examplesdir}/%{name}-%{version}

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jsch.spec,v $
Revision 1.16  2006/12/08 01:22:10  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.15  2006/05/26 20:38:06  ankry
- standarized

Revision 1.14  2006/05/26 11:39:24  qboosh
- cleanup

Revision 1.13  2006/05/26 11:36:56  jajcus
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch
- $CLASSPATH and $JAVA_HOME sanitized
- javadoc subpackage added

Revision 1.12  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.11  2005/05/07 17:56:24  qboosh
- updated to 0.1.20

Revision 1.10  2005/02/10 21:34:24  qboosh
- unified

Revision 1.9  2005/02/10 10:59:40  blues
- 1.4.2 jakarta-ant is too low :(

Revision 1.8  2004/12/21 12:10:24  baggins
- BR sed
- do some magic to get around ant suckage

Revision 1.7  2004/12/21 11:59:38  baggins
- release 2
- added date-stupidity patch to fix build process

Revision 1.6  2004/12/14 15:04:26  baggins
- now fixed install

Revision 1.5  2004/12/14 14:59:49  baggins
- fixed install

Revision 1.4  2004/07/13 20:56:39  qboosh
- missing dir, more pl

Revision 1.3  2004/07/13 20:52:28  pluto
- noarch

Revision 1.2  2004/07/13 20:42:57  pluto
- BR(unzip), pl.

Revision 1.1  2004/07/13 20:37:04  pluto
- initial release.
